Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle TopLink API Reference 10g Release 3 (10.1.3) B13698-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.toplink.services.mbean
Class MBeanDevelopmentServices

`java.lang.Object
oracle.toplink.services.DevelopmentServices
oracle.toplink.services.mbean.MBeanDevelopmentServices`

All Implemented Interfaces:
  MBeanDevelopmentServicesMBean

Deprecated. Will be replaced by a server-specific equivalent for oracle.toplink.services.oc4j.Oc4jRuntimeServices

public class MBeanDevelopmentServices
extends DevelopmentServices
implements MBeanDevelopmentServicesMBean

Purpose: Provide a dynamic interface into the TopLink Identity Map Manager.

Description: This class is ment to provide a framework for gaining access to configuration and statistics of the TopLink Cache during runtime. It will provide the basis for developement of a JMX service and possibly other frameworks.

See Also:
  `Oc4jRuntimeServices`

Constructor Summary
`MBeanDevelopmentServices(Session session)` Deprecated.

Methods inherited from class oracle.toplink.services.DevelopmentServices
`getChangeSetPropagationShouldBeAsynchronous, getShouldBindAllParameters, getShouldRemoveConnectionOnError, getStringBindingSize, getUsesBatchWriting, getUsesByteArrayBinding, getUsesJDBCBatchWriting, getUsesNativeSQL, getUsesStreamsForBinding, getUsesStringBinding, initializeAllIdentityMaps, initializeCacheSynchronizationServices, initializeIdentityMap, refreshProject, setChangeSetPropagationShouldBeAsynchronous, setIdentityMapForClass, setShouldBindAllParameters, setShouldRemoveConnectionOnError, setStringBindingSize, setUsesBatchWriting, setUsesByteArrayBinding, setUsesJDBCBatchWriting, setUsesNativeSQL, setUsesStreamsForBinding, setUsesStringBinding, updateCacheSize, updateSynchronizationDiscoveryMulticastGroup`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface oracle.toplink.services.mbean.MBeanDevelopmentServicesMBean
`getChangeSetPropagationShouldBeAsynchronous, getShouldBindAllParameters, getShouldRemoveConnectionOnError, getStringBindingSize, getUsesBatchWriting, getUsesByteArrayBinding, getUsesJDBCBatchWriting, getUsesNativeSQL, getUsesStreamsForBinding, getUsesStringBinding, initializeAllIdentityMaps, initializeCacheSynchronizationServices, initializeIdentityMap, refreshProject, setChangeSetPropagationShouldBeAsynchronous, setIdentityMapForClass, setShouldBindAllParameters, setShouldRemoveConnectionOnError, setStringBindingSize, setUsesBatchWriting, setUsesByteArrayBinding, setUsesJDBCBatchWriting, setUsesNativeSQL, setUsesStreamsForBinding, setUsesStringBinding, updateCacheSize, updateSynchronizationDiscoveryMulticastGroup`

Constructor Detail

### MBeanDevelopmentServices

    public MBeanDevelopmentServices(Session session)

  Deprecated.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 1998, 2006, Oracle. All Rights Reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD